org.apache.lucene.search.spell

## Interface Dictionary

- All Known Implementing Classes:
    LuceneDictionary, PlainTextDictionary

      public interface Dictionary

  A simple interface representing a Dictionary. A Dictionary here is just a list of words.
  Version:
    1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator` | `getWordsIterator()` Return all words present in the dictionary

- - ### Method Detail

    - #### getWordsIterator

          java.util.Iterator getWordsIterator()

      Return all words present in the dictionary
      Returns:
        Iterator

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.